## com.puppycrawl.tools.checkstyle.checks.indentation
Class NewHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.NewHandler

    public class NewHandler

extends ExpressionHandler

Handler for operator new.

Author:
  o_sukhodolsky

Constructor Summary
`NewHandler(IndentationCheck aIndentCheck, DetailAST aAST, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`void` `checkIndentation()` Check the indentation of the expression we are handling.
`protected IndentLevel` `getLevelImpl()` Compute the indentation amount for this handler.
`protected boolean` `shouldIncreaseIndent()`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLineStart, getLineStart, getMainAst, getParent, logError, logError, startsLine, suggestedChildLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewHandler

    public NewHandler(IndentationCheck aIndentCheck,
                      DetailAST aAST,
                      ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aAST` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### checkIndentation

    public void checkIndentation()

  Check the indentation of the expression we are handling.

  Specified by:
    `checkIndentation` in class `ExpressionHandler`

### getLevelImpl

    protected IndentLevel getLevelImpl()

  Compute the indentation amount for this handler.

  Overrides:
    `getLevelImpl` in class `ExpressionHandler`
  Returns:
    the expected indentation amount

### shouldIncreaseIndent

    protected boolean shouldIncreaseIndent()

  Overrides:
    `shouldIncreaseIndent` in class `ExpressionHandler`
  Returns:
    true if indentation should be increased after fisrt line in checkLinesIndent() false otherwise

Back to the Checkstyle Home Page